#version 330 core

in vec2 UV;

uniform vec2 blurScale;
uniform sampler2D textureSource;

void main()
{
	vec4 color = vec4(0.0);
	color += texture2D( textureSource, UV + (vec2(-3.0) * blurScale)) * 0.015625;
	color += texture2D( textureSource, UV + (vec2(-2.0) * blurScale)) * 0.09375;
	color += texture2D( textureSource, UV + (vec2(-1.0) * blurScale)) * 0.234375;
	color += texture2D( textureSource, UV + (vec2(0.0) * blurScale)) * 0.3125;
	color += texture2D( textureSource, UV + (vec2(1.0) * blurScale)) * 0.234375;
	color += texture2D( textureSource, UV + (vec2(2.0) * blurScale)) * 0.09375;
	color += texture2D( textureSource, UV + (vec2(3.0) * blurScale)) * 0.015625;

	gl_FragColor = color;
}