#version 330 core

// Ouput data
layout(location = 0) out vec4 color;

uniform sampler2D tex;

in vec2 UV;

void main(){
	float Znear = 1.0;
	float Zfar = 100.0;
	float Q  = Zfar / ( Zfar - Znear );
	float inv_Zfar = 1.0 / Zfar;

	float depth = texture(tex, UV).x;
    float linearDepth = inv_Zfar / (Q - depth);
	color = vec4(linearDepth);
}
